%define ol5 %(test "%{?dist}" = ".el5" && echo 1 || echo 0)
%define ol6 %(test "%{?dist}" = ".el6" && echo 1 || echo 0)

Name: ovm-template-config
Version: 3.0
Release: 71%{?dist}
Summary: Oracle VM template configuration tool.
Group: Applications/System
License: GPL
URL: http://www.oracle.com/virtualization
Source0: %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
BuildRequires: python >= 2.4
Requires: python >= 2.4
%if %ol5
Requires: python-simplejson
%endif

Patch1: dummy.patch
Patch2: fix-default-enumerate-param-type.patch
Patch3: network-hostname-ipaddr-netmask.patch
Patch4: network-hwaddr.patch
Patch5: add-scripts.patch
Patch6: remove-unconfigure-target.patch
Patch7: ol6-compatiblity.patch
Patch8: update-license.patch
Patch9: fix-copying-year.patch
Patch10: replace-list-builtin.patch
Patch11: remove-global.patch
Patch12: fix-pylint-warnings.patch
Patch13: fix-test-case.patch
Patch14: fix-datatime-typo.patch
Patch15: root-passwd-required.patch
Patch16: sleep-bofore-console-input.patch
Patch17: fix-vmap-typo.patch
Patch18: fix-testcase.patch
Patch19: change-authentication-priority-to-90.patch
Patch20: pv-cdrom-support-for-ovf-transport-iso.patch
Patch21: loglevel-to-info.patch
Patch22: add-reconfigure.patch
Patch23: fix-testcase.patch_29627
Patch24: add-reconfigure.patch_30953
Patch25: pv-cdrom.patch
Patch26: make-description-optional.patch
Patch27: spec-fix-quotation-mark.patch
Patch28: enable-space-input.patch
Patch29: network-dns-count.patch
Patch30: netconfig-add-newline.patch
Patch31: network-ipaddr-optional.patch
Patch32: network-always-ifup-lo.patch
Patch33: network-typo.patch
Patch34: remove-error-log.patch
Patch35: network-hosts.patch
Patch36: improve-enumerate.patch
Patch37: add-script-option.patch
Patch38: console-input-expected.patch
Patch39: system-cleanup.patch
Patch40: script-order.patch
Patch41: hide-password.patch
Patch42: more-scripts.patch
Patch43: fix-typo-adress.patch
Patch44: expose-keys.patch
Patch45: parameter-description.patch
Patch46: datetime-ntp-servers.patch
Patch47: network-dhcp-peerdns.patch
Patch48: typo-empyt.patch
Patch49: text-message.patch
Patch50: network-mtu-support.patch
Patch51: capitalize-msg.patch
Patch52: log-text-iso.patch
Patch53: ssh-user-gid.patch
Patch54: ssh-improve-and-code-refactor.patch
Patch55: retain-rpmpkgs-log.patch
Patch56: system-rhn-uuid.patch
Patch57: cleanup-fix.patch
Patch58: system-retain-oracle-validated-log.patch
Patch59: system-cleanup-scrollkeeper-log.patch
Patch60: fix-empty-password.patch
Patch61: log-run-script-error.patch
Patch62: network-cleanup-remove-persistent-udev-rules.patch
Patch63: remove-pexpect-dependency-use-passwd-stdin-to-change-password.patch
Patch64: user-password-no-echo.patch
Patch65: donot-print-traceback.patch
Patch66: disable-ctrl-d-and-empty-password.patch
Patch67: clean-console-input.patch
Patch68: support-unicode-password.patch
Patch69: ovm-template-config-password.patch
Patch70: ovm-template-config-network-host-entry.patch
Patch71: set-hostname-on-dhcp.patch
# End Oracle Patches

%description
Oracle VM template configuration tool.

%package system
Summary: Oracle VM template system configuration script.
Group: Applications/System
Requires: ovm-template-config

%description system
Oracle VM template system configuration script.

%package network
Summary: Oracle VM template network configuration script.
Group: Applications/System
Requires: ovm-template-config

%description network
Oracle VM template network configuration script.

%package datetime
Summary: Oracle VM template datetime configuration script.
Group: Applications/System
Requires: ovm-template-config

%description datetime
Oracle VM template datetime configuration script.

%package firewall
Summary: Oracle VM template firewall configuration script.
Group: Applications/System
Requires: ovm-template-config

%description firewall
Oracle VM template firewall configuration script.

%package selinux
Summary: Oracle VM template selinux configuration script.
Group: Applications/System
Requires: ovm-template-config

%description selinux
Oracle VM template selinux configuration script.

%package authentication
Summary: Oracle VM template authentication configuration script.
Group: Applications/System
Requires: ovm-template-config

%description authentication
Oracle VM template authentication configuration script.

%package user
Summary: Oracle VM template user configuration script.
Group: Applications/System
Requires: ovm-template-config

%description user
Oracle VM template user configuration script.

%package ssh
Summary: Oracle VM template ssh configuration script.
Group: Applications/System
Requires: ovm-template-config

%description ssh
Oracle VM template ssh configuration script.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
%patch28 -p0
%patch29 -p0
%patch30 -p0
%patch31 -p0
%patch32 -p0
%patch33 -p0
%patch34 -p0
%patch35 -p0
%patch36 -p0
%patch37 -p0
%patch38 -p0
%patch39 -p0
%patch40 -p0
%patch41 -p0
%patch42 -p0
%patch43 -p0
%patch44 -p0
%patch45 -p0
%patch46 -p0
%patch47 -p0
%patch48 -p0
%patch49 -p0
%patch50 -p0
%patch51 -p0
%patch52 -p0
%patch53 -p0
%patch54 -p0
%patch55 -p0
%patch56 -p0
%patch57 -p0
%patch58 -p0
%patch59 -p0
%patch60 -p0
%patch61 -p0
%patch62 -p0
%patch63 -p0
%patch64 -p0
%patch65 -p0
%patch66 -p0
%patch67 -p0
%patch68 -p0
%patch69 -p0
%patch70 -p0
%patch71 -p0

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post system
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add system
fi

%preun system
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del system
fi

%post network
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add network
fi

%preun network
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del network
fi

%post datetime
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add datetime
fi

%preun datetime
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del datetime
fi

%post firewall
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add firewall
fi

%preun firewall
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del firewall
fi

%post selinux
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add selinux
fi

%preun selinux
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del selinux
fi

%post authentication
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add authentication
fi

%preun authentication
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del authentication
fi

%post user
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add user
fi

%preun user
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del user
fi

%post ssh
if [ $1 = 1 ]; then
    /usr/sbin/ovm-chkconfig --add ssh
fi

%preun ssh
if [ $1 = 0 ]; then
    /usr/sbin/ovm-chkconfig --del ssh
fi

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_sysconfdir}/template.d/cleanup.d
%dir %{_sysconfdir}/template.d/configure.d
%dir %{_sysconfdir}/template.d/migrate.d
%dir %{_sysconfdir}/template.d/resume.d
%dir %{_sysconfdir}/template.d/scripts
%dir %{_sysconfdir}/template.d/shutdown.d
%dir %{_sysconfdir}/template.d/suspend.d
%dir %{_sysconfdir}/template.d/unconfigure.d
%dir %{_sysconfdir}/template.d/reconfigure.d
%{_sbindir}/ovm-template-config
%{_sbindir}/ovm-chkconfig
/usr/lib/python*/site-packages

%files system
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/system

%files network
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/network

%files datetime
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/datetime

%files firewall
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/firewall

%files selinux
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/selinux

%files authentication
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/authentication

%files user
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/user

%files ssh
%defattr(-,root,root,-)
%{_sysconfdir}/template.d/scripts/ssh

%changelog
* Mon Nov 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-71 
- set hostname on dhcp
  With boot parameter, ifup will try to get hostname from DNS servers and set it.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 15853856]  

* Fri Oct 19 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-70 
- network: fix hosts entry limitation
  Currently, to specify /etc/hosts entries, you have to specify 3 fields: IP,
  Domain_Name, Alias.
  Actually Alias is optional. I made this mistake while implementing this. Now the
  attached patch fixes it.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Sep 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-69 
- check password strength and clear console input
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com>
  Cc: Wim Coekaerts <wim.coekaerts@oracle.com>
  Cc: Kurt Hackel <kurt.hackel@oracle.com> [bug 14572009]  

* Wed Jun 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-68 
- support unicode password
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 13989234] 

* Thu May 31 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-67 
- make console input screen cleaner by add hidden option to parameters
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com>
  Cc: Wim Coekaerts <wim.coekaerts@oracle.com> 

* Fri Apr 27 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-66 
- disable ctrl-d support for console input screen and don't allow empty string for password. [bug 13998385] 

* Wed Apr 18 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-65 
- Don't print backtrace on error. Just print the error message.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com> 

* Wed Apr 18 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-64 
- make user password no echo on input
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com> 

* Thu Apr 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-63 
- removes pexpect dependency and and uses passwd --stdin to change user
  password.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com> 

* Thu Apr 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-62 
- network cleanup: remove persistent udev rules.
  Some background:
  * OL5 uses HWADDR in ifcfg-ethN to reorder NIC names. It is done by udev rule in
  /etc/udev/rules.d/60-net.rules:
  ACTION=="add", SUBSYSTEM=="net", IMPORT{program}="/lib/udev/rename_device"
  * OL6 changed "/lib/udev/rename_device" implement: it will not actually rename a
  device; instead it will only print the target name, then other udev rules will
  write persistent udev rules based on this name. For OL6 on baremetal, when a new
  NIC is detected, udev will write a rule in
  /etc/udev/rules.d/70-persistent-net.rules, e.g.:
  # net device () (custom name provided by external tool)
  SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",     ATTR{address}=="00:21:f6:00:00:dc", ATTR{type}=="1", KERNEL=="eth*", NAME="eth0"
  It is written by /lib/udev/rules.d/75-persistent-net-generator.rules. But xen
  vif is an exception: it will not write persistent udev rules for xen vif. It is
  controlled by this line in /lib/udev/rules.d/75-persistent-net-generator.rules:
  # ignore Xen virtual interfaces
  SUBSYSTEMS=="xen", GOTO="persistent_net_generator_end"
  My proposal for ovm-template-config network script on OL6:
  * Apply attached patch: cleanup /etc/udev/rules.d/70-persistent-net.rules before
  ship Template.
  * If users want change NIC names, just reorder them in vm.cfg: vif = ['mac=XXX',
  'mac=YYY'], then in guest, the nic will be always called eth0, eth1, ...
  * We don't write udev persistent net rules for xen netfront.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com> [bug 13929093] 

* Tue Apr 10 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-61 
- log errors when failed to run script
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Cc: Tianyue Lan <tianyue.lan@oracle.com>
  Cc: Saar Maoz <saar.maoz@oracle.com> [bug 13946017] 

* Tue Apr 10 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-60 
- raise exception when provide empty password
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com> 

* Tue Apr 10 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-59 
- system: cleanup scrollkeeper log
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com> 

* Tue Apr 10 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-58 
- system: retain oracle validated log
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com> 

* Thu Mar 29 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-57 
- some cleanup fix:
  1. Will not disable nptd service.
  2. Will cleanup user .bash_history.
  Please refer to: http://ca-bugzilla.us.oracle.com/bugzilla/show_bug.cgi?id=13652#c10 

* Fri Mar 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-56 
- system: configure rhn uuid
  For RHN, the initial /etc/sysconfig/rhn/up2date-uuid:
  uuid[comment]=Universally Unique ID for this server
  rhnuuid=UNSPECIFIED
  In rpm %post, it update it with a random uuid (up2date.spec):
  UUID=$(/usr/bin/uuidgen -t)
  perl -p -i -e "s/UNSPECIFIED/$UUID/g" /etc/sysconfig/rhn/up2date-uuid
  if [ -x /sbin/restorecon ]; then
  /sbin/restorecon /etc/sysconfig/rhn/up2date-uuid
  fi
  Fix patch does:
  * Change it to UNSPECIFIED on cleanup.
  * Change it to a random uuid on configure.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Singed-off-by: Tianyue Lan <tianyue.lan@oracle.com> [bug 13836292] 

* Tue Mar 13 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-55 
- retain /var/log/rpmpkgs [bug 13836339] 

* Tue Feb 07 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-54 
- improve ssh configuration and some code refactor
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Jan 30 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-53 
- ssh: user gid should be userinfo[3] 

* Fri Jan 20 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-52 
- keep log text consistent: iso -> ISO 

* Thu Jan 19 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-51 
- Capitalize messages 

* Tue Jan 17 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-50 
- network: add mtu support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Wed Jan 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-49 
- fix text message.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com>
  Signed-off-by: Alison Holloway <alison.holloway@oracle.com> [bug 13555477] 

* Wed Dec 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-48 
- fix typo: empyt -> empty 

* Thu Nov 17 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-47 
- network: dhcp should not have PEERDNS=no [bug 13357629] 

* Thu Nov 17 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-46 
- datetime: fix ntp servers [bug 13393843] 

* Fri Nov 11 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-45 
- fix parameter description 

* Wed Nov 09 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-44 
- expose all keys to console input.
  Also in this patch:
  * network: ifdown and then ifup when configure a device.
  * add --human-readable option.
  * unify some keys:  root_password -> root-password, selinux -> selinux.mode. [bug 13363141] 

* Fri Nov 04 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-43 
- fix typo: adress -> address 

* Wed Nov 02 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-42 
- add more scripts. 

* Tue Nov 01 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-41 
- hide password. [bug 13078363] 

* Tue Nov 01 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-40 
- execute script in order. 

* Thu Oct 27 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-39 
- add system script and implement cleanup target. [bug 13004324] 

* Fri Oct 21 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-38 
- don't ask for console input if there's no expected parameters 

* Fri Oct 21 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-37 
- add --script option 

* Thu Oct 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-36 
- improve enumerate handling. 

* Thu Oct 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-35 
- network: add parameter to add entries to /etc/hosts. 

* Thu Oct 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-34 
- remove error log containing sensitive parameters 

* Wed Oct 05 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-33 
- network: fix typo: device -> 'lo' 

* Wed Oct 05 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-32 
- network: always ifup lo device 

* Tue Oct 04 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-31 
- make ipaddr optional when bootproto equals none or static. 

* Mon Oct 03 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-30 
- netconfig: add new line 

* Mon Oct 03 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-29 
- network: refactor dns count 

* Mon Oct 03 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-28 
- enable space input 

* Sun Oct 02 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-27 
- fix quotation mark in spec file 

* Sat Oct 01 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-26 
- make 'description' optional 

* Thu Sep 29 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-25 
- more fix for pvm cdrom support [bug 13004385] 

* Wed Sep 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-24 
- add reconfigure 

* Wed Sep 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-23 
- fix test case 

* Wed Sep 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-22 
- add reconfigure target 

* Wed Sep 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-21 
- change log level to INFO [bug 13004357] 

* Wed Sep 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-20 
- add pv cdrom support for OVF transport iso [bug 13004385] 

* Thu Sep 22 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-19 
- change authentication script priority to 90, so the required
  'root_password' parameter will appear in the last. 

* Tue Sep 20 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-18 
- fix test case 

* Sun Sep 18 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-17 
- fix typo: OVMAPI -> OVMAPI 

* Sun Sep 18 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-16 
- sleep before showing console input screen. [bug 12995965] 

* Sat Sep 17 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-15 
- mark root_passwd as required and remove 'required' property from hostname.
  I agree, and it represents the new security standards.  We cannot ship
  templates with a default password anymore (ovsroot).  This must be
  configured at instantiation.
  Another option would have been to enforce a special key meaning "done"...
  thanks
  kurt
  On 9/15/2011 5:51 AM, Zhigang Wang wrote:
  > Hi Kurt and Steve,
  >
  > Currently we need one parameter to be 'required', otherwise ovm-template-config
  > will not wait for any parameters.
  >
  > It's hostname for now, but Maturi suggest root_passwd, and I think it's better.
  >
  > Reason:
  >
  > 1). When using DHCP, hostname is not required.
  > 2). Every template should have it's own root password, otherwise it will use the
  > default password, which is a security vulnerability.
  >
  > Please give your comments.
  >
  > Thanks,
  >
  > Zhigang 

* Sat Sep 17 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-14 
- fix datatime typo [bug 12989855] 

* Tue Sep 13 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-13 
- fix test case 

* Tue Sep 13 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-12 
- fix warnings find by pylint 

* Tue Sep 13 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-11 
- remove unnecessary global statement 

* Tue Sep 13 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-10 
- list is a builtin. Use do_list instead. 

* Tue Sep 13 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-9 
- fix copying year 

* Tue Sep 13 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-8 
- update license 

* Fri Sep 02 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-7 
- make scripts OL6 compatible 

* Fri Aug 05 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-6 
- remove some unimplemented unconfigure target 

* Fri Aug 05 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-5 
- add more scripts 

* Tue Aug 02 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-4 
- network: only write hwaddr when specified 

* Thu Jul 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-3 
- network: write /etc/hosts with the hostname and the first find IP.
  Also update the the network device ipaddr and netmask.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Jul 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-2 
- datatime: fix default emunerate param type
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Mar 22 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-1
- Initial build.
